Page MenuHomePhabricator

Allow Erik Bernhardson to have root access on stat1005 for GPU testing
Closed, ResolvedPublic

Description

During the all hands Erik accepted to help the Analytics team to test the GPU on stat1005 (more context in T148843). Since it will surely involve long sessions of debugging, installing packages, rebooting, etc.. I'd propose to give Erik full root access to the host for the time needed. Stat1005 currently doesn't do anything for the Analytics team, it is basically a spare host.

I propose to create a special group for this with Erik as only member for the moment.

Event Timeline

elukey triaged this task as Normal priority.Feb 6 2019, 8:00 AM
elukey created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2019, 8:00 AM

Change 488606 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: create gpu-testers, add ebernhardson, root on stat1005

https://gerrit.wikimedia.org/r/488606

Joe added subscribers: Nuria, Joe.Feb 7 2019, 8:05 AM

I second the idea, and I see @Nuria has given +1 to the patch which I assume can count as manager approval. Given this is a request that includes the creation of a new sudo group it will need to wait for the SRE meeting on monday.

Joe claimed this task.Feb 7 2019, 8:42 AM
fdans moved this task from Incoming to Radar on the Analytics board.Feb 7 2019, 6:24 PM
Dzahn added a subscriber: Dzahn.Feb 11 2019, 7:07 PM

Approved in SRE meeting (SRE-2019-02-11#Access_Requests)

Dzahn added a comment.Feb 11 2019, 7:08 PM

Normally would have merged Gerrit change but see comments from Moritz there, he said we should wait until buster is installed and he will take care of it once approved.

Change 488606 merged by Muehlenhoff:
[operations/puppet@production] admins: create gpu-testers, add ebernhardson, root on stat1005

https://gerrit.wikimedia.org/r/488606

MoritzMuehlenhoff closed this task as Resolved.Feb 12 2019, 11:45 AM

stat1005 is now running Debian buster and I've enabled Erik's access.